%define upstream_name 	 FreezeThaw
%define upstream_version 0.5001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10
Summary:	Converting Perl structures to strings and back
License: 	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Freeze/%{upstream_name}-%{upstream_version}.tar.gz

Buildarch: 	noarch


%description
Converts data to/from stringified form, appropriate for saving-to/reading-from
permanent storage.

Deals with objects, circular lists, repeated appearence of the same refence.
Does not deal with overloaded stringify operator yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find . -type f | xargs chmod 644
find . -type d | xargs chmod 755

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%make_install

%check
make test

%files 
%doc README MANIFEST Changes META.yml
%{perl_vendorlib}/*.pm
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.500.100-10.mga8
+ Revision: 1494600
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.500.100-9.mga7
+ Revision: 1268184
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.500.100-8.mga6
+ Revision: 1027640
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.500.100-7.mga6
+ Revision: 966929
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.500.100-6.mga6
+ Revision: 847089
- update to 0.5001

* Wed Oct 15 2014 umeabot <umeabot> 0.500.100-6.mga5
+ Revision: 747265
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.500.100-5.mga5
+ Revision: 684805
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.500.100-4.mga4
+ Revision: 511822
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.500.100-3.mga3
+ Revision: 367512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.500.100-2.mga1
+ Revision: 26248
- mageia rebuild
- imported package perl-FreezeThaw


* Mon May 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.500.100-2mdv2010.1
+ Revision: 546785
- fix file perms (#59584)
- better description and summary

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 0.500.100-1mdv2010.1
+ Revision: 532147
- update to 0.5001

* Mon Mar 08 2010 Jérôme Quelin <jquelin@mandriva.org> 0.500.0-1mdv2010.1
+ Revision: 515661
- update to 0.50

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.450.0-1mdv2010.0
+ Revision: 403184
- rebuild using %%perl_convert_version

* Mon Feb 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.45-1mdv2009.1
+ Revision: 341079
- new version
- new version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.43-7mdv2009.0
+ Revision: 241228
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 0.43-5mdv2008.0
+ Revision: 67615
- use %%mkrel
- simplify buildrequires


* Thu Feb 03 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.43-5mdk
- rebuild

* Sat Oct 11 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.43-4mdk
- rebuild for new perl
- add GPL into License tag
- remove $RPM_OPT_FLAGS
- mascroszification of make
- add make test
- don't use PREFIX

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.43-3mdk
- rebuild for new auto{prov,req}

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.43-2mdk
- rebuild

* Fri Jan 17 2003 François Pons <fpons@mandrakesoft.com> 0.43-1mdk
- 0.43.

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.41-2mdk
- rebuild with new perl

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.41-1mdk
- added by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release

